Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1045042 - Start service ovirt-websocket-proxy gives warning
Summary: Start service ovirt-websocket-proxy gives warning
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-websocket-proxy
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Frantisek Kobzik
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-12-19 14:05 UTC by Ilanit Stein
Modified: 2018-12-04 16:44 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:29:46 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
ovirt-engine-setup log (deleted)
2013-12-26 15:36 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 26371 None None None Never

Description Ilanit Stein 2013-12-19 14:05:42 UTC
Description of problem:

Running "service ovirt-websocket-proxy start", gives warning:
"Starting oVirt Engine websockets proxy: WARNING: no 'numpy' module, HyBi protocol is slower or disabled"
Would you please inquire this 

Version-Release number of selected component (if applicable):
is27

Comment 1 Omer Frenkel 2013-12-24 07:20:03 UTC
i guess installation logs might be helpful here

Comment 2 Ilanit Stein 2013-12-26 15:36:06 UTC
Created attachment 841953 [details]
ovirt-engine-setup log

Comment 3 Ilanit Stein 2013-12-26 15:37:59 UTC
Problem is known to fkobzik. Bug opened for formal track.

Comment 4 Frantisek Kobzik 2014-02-03 13:59:13 UTC
We should add numpy to dependencies. 

According to this https://github.com/kanaka/websockify/issues/77 we could gain better performance.

Comment 5 Michal Skrivanek 2014-02-28 09:42:08 UTC
(In reply to Frantisek Kobzik from comment #4)
despite the "for uses like noVNC it will be basically irrelevant" comment?

Comment 6 Ilanit Stein 2014-08-06 09:57:29 UTC
Verified on ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

Comment 7 Omer Frenkel 2015-02-17 08:29:46 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.